=== debian/changelog ===
freefilesync (14.2-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump minimum version of curl BD required.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Mar 2025 15:09:37 -0700

freefilesync (14.2-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed crash when closing progress dialog after sync (Windows)
  * Package updates
    * Add no-wx3.3.patch which disables some features like dark mode.

 -- B. Stack <bgstack15@gmail.com>  Thu, 20 Feb 2025 17:32:25 -0500

freefilesync (14.1-100+stackrpms) UNRELEASED; urgency=low

  * Upstream updates
    * Further dark mode improvements
    * Fixed blurry icons due to image resizing glitch
    * Fixed RealTimeSync process not exiting while in taskbar (Linux)
    * Improved file icon loading performance
    * Improved extension handling for multi-file renaming
    * Mitigate icon size rendering bug for notification emails
    * Close popup dialogs using Ctrl+Enter while ignoring keyboard focus
    * Resume from system tray via single mouse click
    * Avoid white flash when resuming progress dialog from system tray
      (Windows)
    * Increased progress indicator UI update frequency

 -- B. Stack <bgstack15@gmail.com>  Thu, 20 Feb 2025 15:11:32 -0500

freefilesync (14.0-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Dark mode support (Windows 10 20H1, macOS 10.14 (Mojave), Linux)
    * Fixed dock icon progress percentage divergence (macOS)
    * Prevent "App Napp during comparison/synchronization (macOS)
    * Enhance EINVAL error message for unsupported characters
    * Support running with background priority (Linux)
    * Fixed installer access denied when creating shell links (Windows)
    * Improved size and date formatting for file listing (macOS)
    * Improved context menu customization grid
    * Reduced peak memory consumption by 12%
    * Automatically set appropriate text color for config panel background
    * Revived and updated Italian translation

 -- B. Stack <bgstack15@gmail.com>  Mon, 20 Jan 2024 17:41:23 -0500

freefilesync (13.9-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed CURLE_SEND_ERROR: OpenSSL SSL_write: SSL_ERROR_SYSCALL, errno 0
    * Added comparison and sync context menu options for multiple folder
      pairs
    * Show file include/exclude filter directly in tooltip
    * Fixed file not found error when cancelling file up-/download
    * Fixed showing cancelled config log status after nothing to sync
    * Updated translation files

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Dec 2024 08:09:07 -0500

freefilesync (13.8-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support raw IPv6 server address for (S)FTP
    * RealTimeSync: Fixed scrollbar when adding/removing folders
    * Don't set sync direction for partial folder pairs
    * Uniquely identify partial folder pairs in error message
    * Fixed network login prompt not showing in Windows 11 24H2

 -- B. Stack <bgstack15@gmail.com>  Mon, 04 Nov 2024 19:28:43 -0500

freefilesync (13.7-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support copying symlinks between SFTP devices
    * Fixed input focus not being restored after comparison/sync
    * Fixed log file pruning not considering selected configuration
    * Show startup error details when running outside terminal (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sun, 23 Jun 2024 17:52:53 -0400

freefilesync (13.6-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Compact parent path display for medium/large row sizes
    * Fixed crash when mouse inputs are queued due to system lag
    * Don't steal focus from other app when sync progress dialog is shown
    * Fix crackling sound at the beginning of WAV playback (Linux)
    * Prevent middle grid tooltip from covering sync direction
    * Disable Nagle algorithm for SFTP connections
  * Package
    * Use 13.4-patched file_grid for traditional view

 -- B. Stack <bgstack15@gmail.com>  Fri, 10 May 2024 11:23:26 -0400

freefilesync (13.5-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Wrap file grid folder paths instead of truncate
    * Fixed sync operation arrows for RTL layout
    * Fixed FTP hang during connection (libcurl regression)
    * Consider user-defined file time tolerance for DB comparisons
    * Don't log folder pair paths if nothing to sync

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Apr 2024 09:25:10 -0400

freefilesync (13.4-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Ignore leading/trailing space when matching file names
    * Work around wxWidgets system logger clearing error code
    * Fixed registration info not found after App Translocation (macOS)
    * Avoid modal dialog hang on KDE when compiling with GTK3
    * Change app location without losing Donation Edition status (macOS)

 -- B. Stack <bgstack15@gmail.com>  Fri, 16 Feb 2024 21:07:55 -0500

freefilesync (13.3-101+stackrpms) obs; urgency=low

  * Add dependencies on libselinux1-dev, zlib1g-dev
  * Update some patches from bastif

 -- B. Stack <bgstack15@gmail.com>  Fri, 09 Feb 2024 20:09:21 -0500

freefilesync (13.3-100+stackrpms) obs; urgency=low

    * Upstream updates
      * Completed CASA security assessment for Google Drive
      * Use system temp folder for auto-updating
      * Ignore errors when setting directory attributes is unsupported
      * Save GUI sync log file even when cancelled
      * Fixed Business Edition install over existing installation
      * Updated code signing certificates (Windows)

 -- B. Stack <bgstack15@gmail.com>  Sun, 07 Jan 2024 19:39:08 -0500

freefilesync (13.2-100+stackrpms) obs; urgency=low

    * Upstream updates
      * Complete high-DPI/Retina display support (macOS)
      * Prevent files from being moved to versioning recursively
      * Fixed tooltip line wrap bug for moved files (Windows)
      * Return first FTP parsing error when trying multiple variants

