=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: B. Stack <bgstack15@gmail.com>
Build-Depends: debhelper-compat (=13),
               g++-12,
               imagemagick,
               libcurl4-openssl-dev (>= 8.12.0),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libselinux1-dev,
               libssh2-1-dev (>= 1.10),
               libssl-dev (>= 3.0~),
               libwxgtk3.2-dev,
               pkgconf,
               unzip,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform file sync utility, GPL release
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and MacOS.
