=== debian/changelog ===
freefilesync (14.3-0.1~mx23+1) mx; urgency=medium
  
  * Rebuild for MX Linux.
  * Bump minimum version of curl BD required.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 25 May 2025 15:06:01 -0700

freefilesync (14.3-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support internationalized domain names (IDN) for (S)FTP and email
    * Log performance statistics for file content comparison
    * Support installation using Ptyxis terminal (Linux)
    * Support pausing countdown towards system shutdown
    * Support KDE Plasma 6 service menu (Linux)
    * Fixed crash on app exit when called by Cron (Linux)

 -- B. Stack <bgstack15@gmail.com>  Thu, 27 Mar 2025 19:49:37 -0400
