## freefilesync 14.4

=== debian/changelog ===
freefilesync (14.4-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Aug 2025 16:08:01 -0700
