=== debian/changelog ===
freefilesync (14.5-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Oct 2025 21:34:15 -0700

freefilesync (14.4-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * Edit ffs_gcc.patch to use gcc-12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Aug 2025 16:08:01 -0700
