=== debian/rules ===
--- 
+++ 
@@ -33,11 +33,6 @@
 	# Now, auto_build RealTimeSync
 	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_install:
 	# desktop files
 	# handled by dh_install through debian/install
@@ -57,3 +52,8 @@
 	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
 	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
 	done
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
