=== debian/watch ===
# You must remove unused comment lines for the released package.
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/FreeFileSync.*\.tar\.gz/FreeFileSync-$1\.tar\.gz/g \
  https://gitlab.com/opensource-tracking/FreeFileSync/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
