## freefilesync 14.6

=== Source/RealTimeSync/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 LDFLAGS += -s `wx-config --libs std, aui, richtext --debug=no` -pthread
 
 
-CXXFLAGS += `pkg-config --cflags gtk+-2.0`
+CXXFLAGS += `pkg-config --cflags gtk+-3.0`
 #treat as system headers so that warnings are hidden:
-CXXFLAGS += -isystem/usr/include/gtk-2.0
+CXXFLAGS += -isystem/usr/include/gtk-3.0
 
 cppFiles=
 cppFiles+=application.cpp
