=== debian/changelog ===
freefilesync (14.6-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Dec 2025 20:13:57 -0800

freefilesync (14.6-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 07 Dec 2025 19:19:46 +0100

freefilesync (14.5-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 04 Oct 2025 09:19:11 +0200

freefilesync (14.4-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 26 Jul 2025 22:04:32 +0200

freefilesync (14.3-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 07 Apr 2025 08:09:09 +0200

freefilesync (14.2-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 21 Feb 2025 21:44:32 +0100
