=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # You must remove unused comment lines for the released package.
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
@@ -19,8 +19,23 @@
 #CXXFLAGS += -fpie
 #LDFLAGS += -pie
 
-#stackrpms,2: I put APP_NAME_SUFFIX in Makefile
-# libatomic stuff is for ubuntu only
+# define APP_NAME_SUFFIX
+DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
+CPPFLAGS += -DAPP_NAME_SUFFIX='L" by ${DPKG_VENDOR}"'
+
+# It is sometimes required to build with a specific version of g++ because
+# upstream sometimes used features that are available only in recent versions.
+# This is therefore also required to build backports
+# CXX := $(CXX)-12
+
+# Check if we need to link to libatomic
+# Used to be required on mipsel, sh4, armhf/raspbian
+# but also on Ubuntu 20.04 (focal)
+IS_ATOMIC_LINKING_REQUIRED = $(shell $(CXX) -std=c++2b -o /dev/null debian/material/libatomic_check.cpp > /dev/null 2>&1 || echo "yes")
+ifeq ($(IS_ATOMIC_LINKING_REQUIRED),yes)
+$(warning linking to libatomic is required)
+LDFLAGS += -latomic
+endif
 
 %:
 	dh $@ --sourcedirectory=FreeFileSync/Source
@@ -29,9 +44,12 @@
 	# Now, auto_clean RealTimeSync
 	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
 
+override_dh_auto_build:
+	dh_auto_build --sourcedirectory=FreeFileSync/Source -- CXX=$(CXX)
+
 execute_after_dh_auto_build:
 	# Now, auto_build RealTimeSync
-	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync
+	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync -- CXX=$(CXX)
 
 override_dh_auto_install:
 	# desktop files
