=== debian/changelog ===
freefilesync (14.7-1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Jan 2026 21:07:37 -0800

freefilesync (14.7-1xtradeb1.2510.1) questing; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 22 Jan 2026 07:56:23 +0100
