=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
-# You must remove unused comment lines for the released package.
+
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -14,10 +12,6 @@
 
 # Produce .debug_info (used by dh_dwz)
 CXXFLAGS += -g
-
-# Enable PIE
-#CXXFLAGS += -fpie
-#LDFLAGS += -pie
 
 # define APP_NAME_SUFFIX
 DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
@@ -52,12 +46,6 @@
 	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync -- CXX=$(CXX)
 
 override_dh_auto_install:
-	# desktop files
-	# handled by dh_install through debian/install
-
-	# mimetypes
-	# handled by dh_installmime through debian/sharedmimeinfo
-
 	# icons
 	unzip -u FreeFileSync/Build/Resources/Icons.zip cfg_batch.png database.png start_sync.png FreeFileSync.png RealTimeSync.png
 	for size in 16 24 32 48 64 128 256; do \
